zernikeMoments {EBImage} | R Documentation

## Extraction of Zernike moments from image objects.

### Description

Computation of Zernike moment features from image objects.

### Usage

      zernikeMoments(x, ref, N = 12, R = 30, apply.Gaussian, pseudo)

### Arguments

`x` | An `Image` object or an array containing object masks. Object masks are sets of pixels with the same unique integer value.
`ref` | An `Image` object or an array, containing the intensity values of the objects.
`N` | A numeric. Indicates the maximal order of Zernike polynomials to be computed. Default value is 12.
`R` | A numeric. Defines the radius of the circle in pixels around object centers from which the features are calculated.
`apply.Gaussian, pseudo` | Deprecated.

### Details

Zernike features are computed by projecting image objects on the Zernike complex polynomials, using:

`z.{nl} = (n+1) / pi * abs( sum_x,y(V*nl(x,y) * i(x,y)) )`,

where `0 <= l <= n, n - l` is even and `i(x,y)` is the intensity of the reference image at the coordinates `(x,y)` that fall withing a circle of radius `R` from the object's centre. Coordinates are taken relative to the object's centre.

`V*nl` is a complex conjugate of a Zernike polynomial of degree `n` and angular dependence `l`:

`Vnl(x,y) = Qnl(x,y) * exp(j*l*theta)`, where `j = sqrt(-1), theta=atan2(y,x)`, and

`Qnl(x,y) = sum[_m=0^((n-l)/2)] ((-1)^m * (n-m)! * r^(n-2*m)) / (m! * ((n-2*m+l)/2)! * ((n-2*m-l)/2)!)` , where `r = sqrt(x^2+y^2)`.

### Value

Returns a matrix (or a list of matrices if `x` contains multiple frames) of features computed of the objects present in `x` and using the intensity values of `ref`.

### Author(s)

Oleg Sklyar, osklyar@ebi.ac.uk; Mike Smith, msmith@ebi.ac.uk, 2007

### References

F. Zernike. Beugungstheorie des Schneidenverfahrens und seiner verbesserten Form, der Phasenkontrastmethode (Diffraction theory of the cut procedure and its improved form, the phase contrast method). Physica, 1:pp. 689-704, 1934.

Jamie Shutler, Complex Zernike Moments: http://homepages.inf.ed.ac.uk/rbf/CVonline/LOCAL_COPIES/SHUTLER3/node11.html

### See Also

`getFeatures`

### Examples

     example(getFeatures)

[Package EBImage version 3.0.5 Index]